SimilarSchemaElementPair
Keywords: uk.ac.ic.doc.automed.matching.SimilarSchemaElementPair,SimilarSchemaElementPair class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching
Class SimilarSchemaElementPair

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.SchemaElementPair
            |
            +--uk.ac.ic.doc.automed.matching.SimilarSchemaElementPair

public class SimilarSchemaElementPair
extends SchemaElementPair

Constructor Summary
`SimilarSchemaElementPair(SchemaElementPair pair, BidirectionalDegree degree)`
`SimilarSchemaElementPair(SchemaElement first, SchemaElement second, BidirectionalDegree degree)`

Method Summary
`BidirectionalDegree` | `getDegree()`
`static java.util.Hashtable` | `merge(java.util.Hashtable table1, java.util.Hashtable table2)`
`java.lang.String` | `toString()`
`static void` | `writeSimilarSchemaElementPairs(java.lang.String fileprefix, SimilarSchemaElementPair[] pairs)`

Methods inherited from class uk.ac.ic.doc.automed.matching.SchemaElementPair
`equals, getElement, getFirstElement, getSecondElement, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimilarSchemaElementPair

    public SimilarSchemaElementPair(SchemaElement first,
                                    SchemaElement second,
                                    BidirectionalDegree degree)

### SimilarSchemaElementPair

    public SimilarSchemaElementPair(SchemaElementPair pair,
                                    BidirectionalDegree degree)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SchemaElementPair`

### getDegree

    public BidirectionalDegree getDegree()

### writeSimilarSchemaElementPairs

    public static void writeSimilarSchemaElementPairs(java.lang.String fileprefix,
                                                      SimilarSchemaElementPair[] pairs)
                                               throws java.io.IOException

    `java.io.IOException`

### merge

    public static java.util.Hashtable merge(java.util.Hashtable table1,
                                            java.util.Hashtable table2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD